Last Comment Bug 776430 - Function.toString() is still broken after landing Bug 776389. if script loaded by nested mozIJSSubScriptLoader
: Function.toString() is still broken after landing Bug 776389. if script loade...
Status: VERIFIED FIXED
: addon-compat, regression
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: 17 Branch
: x86 Windows 7
: -- normal (vote)
: mozilla17
Assigned To: :Benjamin Peterson
:
Mentors:
Depends on:
Blocks: savesource 776389 776439
  Show dependency treegraph
 
Reported: 2012-07-22 20:52 PDT by Alice0775 White
Modified: 2012-10-17 11:34 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
-
verified


Attachments
please copy this into ProfD\chrome (1.04 KB, application/x-javascript)
2012-07-22 20:56 PDT, Alice0775 White
no flags Details
please copy this into ProfD\chrome (256 bytes, application/x-javascript)
2012-07-22 20:57 PDT, Alice0775 White
no flags Details
fix the rightmost arrow (3.79 KB, patch)
2012-07-22 22:55 PDT, :Benjamin Peterson
bzbarsky: review+
Details | Diff | Splinter Review

Description Alice0775 White 2012-07-22 20:52:57 PDT
Build Identifier:
http://hg.mozilla.org/integration/mozilla-inbound/rev/d12d918df9d6
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:17.0) Gecko/17.0 Firefox/17.0 ID:20120722151543

Function.toString() is till broken after landing Bug 776389. if script loaded by nested mozIJSSubScriptLoader

Steps to Reproduce:
1. Start Nightly with new profile
2. Quit browser

3. Create a folder named chrome into the user profile folder
4. Copy 1st(userChrome.js) and 2nd(bugtest.uc.js) attached file into user profile folder\chrome

5. Install userChromeJS v1.5(http://userchromejs.mozdev.org/index.html)
6. Restart browser

Actual Results:
 Only two alert box appear:
  1st: object
  2nd: function

And the following error in the Error Console

Timestamp: 2012/07/23 12:43:49
Error: [Exception... "Failure"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: file:///C:/Users/fuku/AppData/Roaming/Mozilla/Firefox/Profiles/5qo5d6ux.ddasda/extensions/userChromeJS@mozdev.org/components/userChrome_js.js -> file:///C:/Users/fuku/AppData/Roaming/Mozilla/Firefox/Profiles/5qo5d6ux.ddasda/chrome/userChrome.js -> file:///C:/Users/fuku/AppData/Roaming/Mozilla/Firefox/Profiles/5qo5d6ux.ddasda/chrome/bugtest.uc.js :: <TOP_LEVEL> :: line 8"  data: no]
Source File: file:///C:/Users/fuku/AppData/Roaming/Mozilla/Firefox/Profiles/5qo5d6ux.ddasda/extensions/userChromeJS@mozdev.org/components/userChrome_js.js
Line: 147

Expected results: 
 Three alert box appear:
  1st: object
  2nd: function
  3rd:
       function (aEvent, aXferData, aDragSession) {
       }
Comment 1 Alice0775 White 2012-07-22 20:56:56 PDT
Created attachment 644825 [details]
please copy this into ProfD\chrome
Comment 2 Alice0775 White 2012-07-22 20:57:14 PDT
Created attachment 644826 [details]
please copy this into ProfD\chrome
Comment 3 :Benjamin Peterson 2012-07-22 22:55:14 PDT
Created attachment 644843 [details] [diff] [review]
fix the rightmost arrow
Comment 4 Boris Zbarsky [:bz] (still a bit busy) 2012-07-23 19:07:25 PDT
Comment on attachment 644843 [details] [diff] [review]
fix the rightmost arrow

<sigh>

r=me
Comment 6 Ed Morley [:emorley] 2012-07-24 02:57:33 PDT
https://hg.mozilla.org/mozilla-central/rev/483756fb2e92
Comment 7 Ioana (away) 2012-10-17 07:33:28 PDT
Verified as fixed on the 10/16 Nightly, with the steps from comment 0:
Mozilla/5.0 (Windows NT 6.1; rv:19.0) Gecko/19.0 Firefox/19.0

This bug cannot be verified on Firefox 17 beta since userChromeJS can only be installed on Nightly.
Comment 8 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-10-17 11:32:46 PDT
Ioana, this needs to be verified against Firefox 17, not 19. Thank you.
Comment 9 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-10-17 11:34:24 PDT
(In reply to Anthony Hughes, Mozilla QA (:ashughes) from comment #8)
> Ioana, this needs to be verified against Firefox 17, not 19. Thank you.

Oops, sorry. I forgot to notice your comment about userChromeJS compatability. Since this was fixed in Firefox 17 when it was on mozilla-central, I think it's safe to say your verification against Firefox 19 would be valid.

Apologies for my mistake.

Note You need to log in before you can comment on or make changes to this bug.